[arch-commits] Commit in xorg-xkb-utils/repos (5 files)

Eric Bélanger eric at archlinux.org
Sun Apr 26 23:32:23 EDT 2009


    Date: Sunday, April 26, 2009 @ 23:32:23
  Author: eric
Revision: 36737

Merged revisions 36709 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xorg-xkb-utils/trunk

........
  r36709 | eric | 2009-04-26 19:53:16 -0400 (Sun, 26 Apr 2009) | 2 lines
  
  upgpkg: xorg-xkb-utils 7.4-2
      Added license, FHS man pages
........

Added:
  xorg-xkb-utils/repos/extra-i686/LICENSE.setxkbmap
    (from rev 36709, xorg-xkb-utils/trunk/LICENSE.setxkbmap)
  xorg-xkb-utils/repos/extra-i686/LICENSE.xkbevd
    (from rev 36709, xorg-xkb-utils/trunk/LICENSE.xkbevd)
  xorg-xkb-utils/repos/extra-i686/LICENSE.xkbutils
    (from rev 36709, xorg-xkb-utils/trunk/LICENSE.xkbutils)
Modified:
  xorg-xkb-utils/repos/extra-i686/	(properties)
  xorg-xkb-utils/repos/extra-i686/PKGBUILD

-------------------+
 LICENSE.setxkbmap |   22 ++++++++++++++++++++++
 LICENSE.xkbevd    |   22 ++++++++++++++++++++++
 LICENSE.xkbutils  |   22 ++++++++++++++++++++++
 PKGBUILD          |   19 ++++++++++++-------
 4 files changed, 78 insertions(+), 7 deletions(-)


Property changes on: xorg-xkb-utils/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xorg-xkb-utils/trunk:1-18689
   + /xorg-xkb-utils/trunk:1-36736

Copied: xorg-xkb-utils/repos/extra-i686/LICENSE.setxkbmap (from rev 36709, xorg-xkb-utils/trunk/LICENSE.setxkbmap)
===================================================================
--- extra-i686/LICENSE.setxkbmap	                        (rev 0)
+++ extra-i686/LICENSE.setxkbmap	2009-04-27 03:32:23 UTC (rev 36737)
@@ -0,0 +1,22 @@
+   Copyright (c) 1996 by Silicon Graphics Computer Systems, Inc.
+  
+   Permission to use, copy, modify, and distribute this
+   software and its documentation for any purpose and without
+   fee is hereby granted, provided that the above copyright
+   notice appear in all copies and that both that copyright
+   notice and this permission notice appear in supporting
+   documentation, and that the name of Silicon Graphics not be 
+   used in advertising or publicity pertaining to distribution 
+   of the software without specific prior written permission.
+   Silicon Graphics makes no representation about the suitability 
+   of this software for any purpose. It is provided "as is"
+   without any express or implied warranty.
+   
+   SILICON GRAPHICS DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS 
+   SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY 
+   AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL SILICON
+   GRAPHICS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL 
+   DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, 
+   DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE 
+   OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION  WITH
+   THE USE OR PERFORMANCE OF THIS SOFTWARE.

Copied: xorg-xkb-utils/repos/extra-i686/LICENSE.xkbevd (from rev 36709, xorg-xkb-utils/trunk/LICENSE.xkbevd)
===================================================================
--- extra-i686/LICENSE.xkbevd	                        (rev 0)
+++ extra-i686/LICENSE.xkbevd	2009-04-27 03:32:23 UTC (rev 36737)
@@ -0,0 +1,22 @@
+  Copyright (c) 1995 by Silicon Graphics Computer Systems, Inc.
+ 
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of Silicon Graphics not be 
+  used in advertising or publicity pertaining to distribution 
+  of the software without specific prior written permission.
+  Silicon Graphics makes no representation about the suitability 
+  of this software for any purpose. It is provided "as is"
+  without any express or implied warranty.
+  
+  SILICON GRAPHICS DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS 
+  SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY 
+  AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL SILICON
+  GRAPHICS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL 
+  DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, 
+  DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE 
+  OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION  WITH
+  THE USE OR PERFORMANCE OF THIS SOFTWARE.

Copied: xorg-xkb-utils/repos/extra-i686/LICENSE.xkbutils (from rev 36709, xorg-xkb-utils/trunk/LICENSE.xkbutils)
===================================================================
--- extra-i686/LICENSE.xkbutils	                        (rev 0)
+++ extra-i686/LICENSE.xkbutils	2009-04-27 03:32:23 UTC (rev 36737)
@@ -0,0 +1,22 @@
+  Copyright (c) 1995 by Silicon Graphics Computer Systems, Inc.
+ 
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of Silicon Graphics not be 
+  used in advertising or publicity pertaining to distribution 
+  of the software without specific prior written permission.
+  Silicon Graphics makes no representation about the suitability 
+  of this software for any purpose. It is provided "as is"
+  without any express or implied warranty.
+  
+  SILICON GRAPHICS DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS 
+  SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY 
+  AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL SILICON
+  GRAPHICS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL 
+  DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, 
+  DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE 
+  OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION  WITH
+  THE USE OR PERFORMANCE OF THIS SOFTWARE.

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-27 03:26:47 UTC (rev 36736)
+++ extra-i686/PKGBUILD	2009-04-27 03:32:23 UTC (rev 36737)
@@ -3,30 +3,35 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xorg-xkb-utils
 pkgver=7.4
-pkgrel=1
+pkgrel=2
 pkgdesc="X.org keyboard utilities"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxaw>=1.0.5' 'libxkbfile')
 makedepends=(pkgconfig)
 source=(${url}/releases/individual/app/xkbutils-1.0.1.tar.bz2
         ${url}/releases/individual/app/xkbcomp-1.0.5.tar.bz2
         ${url}/releases/individual/app/xkbevd-1.0.2.tar.bz2
-        ${url}/releases/individual/app/setxkbmap-1.0.4.tar.bz2)
-md5sums=('84396a3dd75337caaae29d8fa5616fb1'
-         '6cc96c3e4ed5d9802fe717beac008f19'
-         '68f2a143716c23b566f8509d9498f516'
-         '6fab3bb176be9e510c5613d054ef1ca4')
+        ${url}/releases/individual/app/setxkbmap-1.0.4.tar.bz2
+        LICENSE.setxkbmap LICENSE.xkbevd LICENSE.xkbutils)
+md5sums=('84396a3dd75337caaae29d8fa5616fb1' '6cc96c3e4ed5d9802fe717beac008f19'\
+         '68f2a143716c23b566f8509d9498f516' '6fab3bb176be9e510c5613d054ef1ca4'\
+         '7c20baa6a26c32a04b1b1d6cbaa626a7' '7b1fc39455375a25afe6f9594ff979ac'\
+         '7b1fc39455375a25afe6f9594ff979ac')
 
 build() {
   cd "${srcdir}"
   for i in *; do
     if [ -d "${i}" ]; then
       pushd "${i}"
-      ./configure --prefix=/usr || return 1
+      ./configure --prefix=/usr --mandir=/usr/share/man || return 1
       make || return 1
       make DESTDIR="${pkgdir}" install || return 1
+      install -D -m644 COPYING "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE.${i%-*}  || return 1
       popd
     fi
   done
+# Replacing stub license files
+  install -D -m644 "${srcdir}"/LICENSE.* "${pkgdir}/usr/share/licenses/${pkgname}/"  || return 1
 }



More information about the arch-commits mailing list